@charset "UTF-8";
/* CSS Document */
/* =======================================================
* Theme : MIBE ART SHOP
* Site URL : http://www.agence-mibe.com ; http://www.agence-mibe.fr
* Auteur: Frédéric MILLIARÈDE - BESCH
* Auteur : http://www.agence-mibe.com
* Version : 1.0.0 NOVEMBRE 2020
* ======================================================= */

body {
	background-color: #FFF;
	height: 95vh;
	margin: 0;
	text-align: center;
}

/* POLICES D'ÉCRITURE */

@font-face {
    font-family: 'MomcakePro-Bold';
    src: url('../fonts/MOMCAKE/MomcakePro-Bold.eot"');
    src: url('../fonts/MOMCAKE/MomcakePro-Bold.eot?#iefix') format('embedded-opentype'),
        url('../fonts/MOMCAKE/MomcakePro-Bold.woff2') format('woff2'),
        url('../fonts/MOMCAKE/MomcakePro-Bold.woff') format('woff'),
        url('../fonts/MOMCAKE/MomcakePro-Bold.ttf') format('truetype'),
        url('../fonts/MOMCAKE/MomcakePro-Bold.svg#MomcakePro-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MomcakePro-Thin';
    src: url('../fonts/MOMCAKE/MomcakePro-Thin.eot');
    src: url('../fonts/MOMCAKE/MomcakePro-Thin.eot?#iefix') format('embedded-opentype'),
        url('../fonts/MOMCAKE/MomcakePro-Thin.woff2') format('woff2'),
        url('../fonts/MOMCAKE/MomcakePro-Thin.woff') format('woff'),
        url('../fonts/MOMCAKE/MomcakePro-Thin.ttf') format('truetype'),
        url('../fonts/MOMCAKE/MomcakePro-Thin.svg#MomcakePro-Thin') format('svg');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}


.QRbandeau {
    width: 100vw;
	height: 20vh;
	margin-top: 50px;
	margin-bottom: 0;
	display: flex;
	flex-direction: column;
	text-align: center;
	justify-content:flex-end;
}

.QRlogo {
	width: 150px;
	height: auto;
	align-self: center;
}


.QRtexteaccueil {
    width: 100vw;
	margin-top:-25px;
	margin-bottom: 0;
	display: flex;
	flex-direction: column;
	text-align: center;
	justify-content: center;
}

.QRconnecte {
    font-family: 'MomcakePro-Bold', sans-serif;
	color: #000000;
	font-size: 2em;
	line-height: 1.5em;
	font-weight: 200;
	margin-left: 10%;
	margin-right: 10%;
	margin-bottom: 0;
	padding-top: 50px;
    text-transform:uppercase;
}

.QRabonnezvous {
    font-family: 'MomcakePro-bold', sans-serif;
	color: #000000;
	font-size: 0.75em;
	line-height: 1em;
	font-weight: 200;
	margin-left: 10%;
	margin-right: 10%;
	margin-top: 0;
	text-transform:uppercase;
}

.QRlienscadre {
    border-radius: 25px;
	border: 0px solid #E0105F;;
	background-color: #EDE4E5;
	box-shadow: 0px 0px 5px 0.25px #f1eaeb;
	margin-left: 5%;
	margin-right: 5%;
	margin-top : 15px;
	text-align: center
}

.QRlienscadre:hover {
	/*transform: translate3d(0px, 0px, 0px) scale(1.015);*/
	background-color: #f1eaeb;
}




.QRlienscadremargesinterieures {
    margin-top : 25px;
	margin-left : 10px;
	margin-right : 15px;
	margin-bottom: 25px;
	text-align: center;
	display: flex;
	justify-content: center
}


.QRtablrow {
	widows: 100%;
	text-align: center;
    display: inline-flex;
	justify-content: center;
	background-color: #FFF;
}


.QRtabletr {
	text-align: center;
    display: inline-flex;
	justify-content: center;
}


.QRtabletdimg {
	margin-top: 10px;
	margin-bottom : 5px;
}

.QRtabletdliens {
    display: flex;
	justify-content: center;
}

.QRtabletdpartage {
    display: flex;
	justify-content: center;
}


.QRtabletdliens a {
    font-family: 'MomcakePro-thin', sans-serif;
	color: #000000;
	font-size: 1.5em;
	margin-right : 5px;
	margin-left: 10px;
	align-self: center;
	text-decoration : none;
}

.QRtabletdliens a:hover {
    font-family: 'MomcakePro-thin', sans-serif;
	color: #000000;
	font-size: 1.5em;
	margin-right : 5px;
	margin-left: 10px;
	align-self: center;
	text-decoration : none;
}


.link-flash {
	 --ease-out-expo: cubic-bezier(0.19, 1, 0.22, 1);
	 position: relative;
}
 .link-flash::before, .link-flash::after {
	 position: absolute;
	 content: "";
	 left: 0;
	 bottom: -0.1rem;
	 display: block;
	 width: 100%;
	 height: 1px;
	 background: #E0105F;
	 transition: 1.1s var(--ease-out-expo);
}
 .link-flash::before {
	 background: #E0105F;
	 transform: scaleX(0);
	 transform-origin: left;
}
 .link-flash::after {
	 background: #EDE4E5;
	 transform-origin: right;
	 transition-delay: 0.25s;
}
 .link-flash:hover::before {
	 background: #E0105F;
	 transform: scaleX(1);
	 transition-delay: 0.25s;
}
 .link-flash:hover::after {
	 background: #E0105F;
	 transform: scaleX(0);
	 transition-delay: 0s;
}



/* TEXTE CACHE SEO */
.optiref {
    display: none;
}

/* Bouton de partage avec opengraph dynamique */

/* Style du bouton de partage */
.share-btn {
    font-size: 20px;
    cursor: pointer;
    background: transparent;
    border: none;
    margin: 10px;
}

/* Style de la fenêtre popup */
.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
	font-family: 'MomcakePro-thin', sans-serif;
}

/* Popup content avec largeur définie */
.popup-content {
    background: white;
    padding: 20px;
    border-radius: 10px;
    width: 80%; /* La popup prend 80% de la largeur de l'écran */
    max-width: 500px; /* Limite la largeur de la popup */
    display: flex;
    flex-direction: column; /* Affichage en colonne */
    align-items: center;
}

.popup-content a {
    font-size: 30px;
    color: black;
    text-decoration: none;
}

/* Bouton de fermeture */
.popup .close-btn {
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 30px;
    color: #FFF;
    cursor: pointer;
}

.popup .close-btn:hover {
    color: #6F4099;
}



/* Contenu OpenGraph */
.og-info {
    text-align: center;
    margin-bottom: 20px;
}

#og-title {
    font-size: 16px;
    font-weight: bold;
}

#og-description {
    font-size: 12px;
    color: #555;
    margin-bottom: 5px;
}

#og-image {
    max-width: 100%;
    height: auto;
    margin-bottom: 10px;
}

/* Icônes des réseaux sociaux en bas de la popup */
.share-icons {
    display: flex;
    justify-content: space-around;
    width: 100%;
}

.share-icons a {
    font-size: 20px;
    margin: 0 15px;
    color: black;
    transition: color 0.3s;
}

.share-icons a:hover {
    color: #6F4099;
}



/* FORMATAGE ÉCRANS HORS SMARTPHONES */

@media screen and (min-width: 550px){
	
.QRlienscadre {
    border-radius: 25px;
	border: 0px solid #C41A5F;
	background-color: #EDE4E5;
	box-shadow: 0px 0px 5px 0.25px #f1eaeb;
	margin-top : 15px;
	text-align: center;
	max-width: 900px;
	width: 75%;
	margin-left: auto;
	margin-right: auto;
}
	
}

@media screen and (max-width: 485px){
	
.QRtabletdimg {
	padding-left: -15px;
}
	
	.QRtabletdliens {
    padding : 5px;
	margin-bottom: 5px;
	text-align: center;
	display: flex;
	justify-content: center
}
	
.QRtabletdliens a {
	font-size: 1.2em;
}

.QRtabletdliens a:hover {
	font-size: 1.2em;
}
	
.QRlienscadremargesinterieures {
	margin-right : 25px;
}
	
.share-btn {
    font-size: 15px;
}
	
	.share-icons a {
    font-size: 12px;
}
	
}